Botan 2.19.5 Crypto and TLS for C&

Classes | Namespaces | Functions
ct_utils.h File Reference
`#include <botan/secmem.h>`
`#include <botan/internal/bit_ops.h>`
`#include <type_traits>`
`#include <vector>`

Go to the source code of this file.

## Classes
class | Botan::CT::Mask< T >

## Namespaces
namespace | Botan
namespace | Botan::CT

## Functions
template<typename T >
Mask< T > | Botan::CT::conditional_copy_mem (T cnd, T *to, const T *from0, const T *from1, size_t elems)
template<typename T >
void | Botan::CT::conditional_swap (bool cnd, T &x, T &y)
template<typename T >
void | Botan::CT::conditional_swap_ptr (bool cnd, T &x, T &y)
secure_vector< uint8_t > | Botan::CT::copy_output (CT::Mask< uint8_t > bad_input, const uint8_t input[], size_t input_length, size_t offset)
template<typename T >
void | Botan::CT::poison (const T *p, size_t n)
secure_vector< uint8_t > | Botan::CT::strip_leading_zeros (const secure_vector< uint8_t > &in)
secure_vector< uint8_t > | Botan::CT::strip_leading_zeros (const uint8_t in[], size_t length)
template<typename T >
void | Botan::CT::unpoison (const T *p, size_t n)
template<typename T >
void | Botan::CT::unpoison (T &p)